Content-type: text/html

# IPSEC_MAILKEY

Section: Maintenance Commands (8)
Updated: 21 Feb 2002
Index Return to Main Contents

## NAME

ipsec mailkey - mail DNS records for Opportunistic Encryption

## SYNOPSIS

ipsec mailkey --me my@address.tld [ --reverse 1.2.3.4 ] [ --forward hostname.domain.tld ]

## DESCRIPTION

mailkey is a meta-program. It generates a script which will attempt to mail the TXT records required to enable Opportunistic Encryption (OE).

An e-mail address for the domain's DNS administrator is derived from SOA records. The mail body and destination address are freely editable in the script.

If no administrator can be located, the output file will not be executable.

--me my@address.tld
  set the Reply-To: address of the mail to be sent.
--forward hostname.domain.tld
  the domain name to be used for initator-only OE.
--reverse 1.2.3.4
  the IP address to be used for full Opportunistic Encryption.

Only one of --forward or --reverse may be specified.

## FILES

    /etc/ipsec.secrets

## SEE ALSO

ipsec_showhostkey(8), host(8)

## HISTORY

Written for the Linux FreeS/WAN project <http://www.freeswan.org> by Sam Sgro.

## BUGS

May produce indeterminate results when processing non-routable IPs.

## Index

NAME
SYNOPSIS
DESCRIPTION
FILES
SEE ALSO
HISTORY
BUGS

This document was created by man2html, using the manual pages.
Time: 14:35:10 GMT, March 22, 2006